<!DOCTYPE html>
<html>
<head>
<title>Solar Generator Dashboard</title>
<meta http-equiv="refresh" content="60">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" href="styles.css">
</head>
<body>

<?php 

    $json_string = file_get_contents('liontron_bms_data.json');
    $bms_array = json_decode($json_string,true);
    
    $json_string = file_get_contents('epever_data.json');
    $solar_array = json_decode($json_string,true);

    $remaining_energy =  round($bms_array['remain_cap'] * 12.8, 0);

?>

<div class="header">
  <a href="index.php"><h1>Dashboard Solar Generator 't Meezenest</h1></a>
</div>

<div class="row">
  <div class="col-3 col-s-3 menu">
    <ul>
      <li>Accu energie: <?php echo $remaining_energy; ?> Wh (<?php echo $bms_array['remain_cap_percent']; ?>%)</li>
      <li>Accu resterende capaciteit: <?php echo $bms_array['remain_cap']; ?> Ah</li>
      <li>Accu nominale capaciteit: <?php echo $bms_array['typ_cap']; ?> Ah</li>
      <li>Accu spanning: <?php echo $bms_array['total_voltage']; ?> V</li>
      <li>Accu stroom: <?php echo $bms_array['current']; ?> A</li>
      <li>Accu vermogen: <?php echo $bms_array['power']; ?> W</li>
      <li>Accu temperatuur: <?php echo $bms_array['temp_1']; ?>&deg; C</li>
      <li>Accu aantal cycli: <?php echo $bms_array['cycles']; ?></li>                  
      
      <li>Solar spanning: <?php echo $solar_array['solar_voltage']; ?> V</li>
      <li>Solar stroom: <?php echo $solar_array['solar_current']; ?> A</li>      
      <li>Solar vermogen: <?php echo $solar_array['solar_power']; ?> W</li>
      <li>Solar Opgewekt: <?php echo $solar_array['generated_energy_today']/1000; ?> Wh</li>      
      <li>Temperatuur controller: <?php echo $solar_array['controller_temp']; ?> &deg; C</li>      
      <li>Temperatuur omgeving: <?php echo $solar_array['ambient_temp']; ?> &deg; C</li>
      <li>Load geactiveerd: <?php echo $solar_array['load_on']; ?> </li>      
      
    </ul>
  </div>

  <div class="col-6 col-s-9">
    <h1>Actuele gegevens</h1>
    <img src="bms_soc.png" class="large">
  </div>

  <div class="col-3 col-s-12 menu">
      <ul>
      <a href="index.php"><li>Terug</li></a>
      <li>Actuele gegevens</li>
      <!--<li>Afgelopen week</li>-->
      <a href="expert.php"><li>Expert</li></a>
    </ul>
  </div>
</div>

<div class="footer">
  <p>Open source hardware and software. Visit https://www.meezenest.nl/mees for more information.</p>
</div>

</body>
</html>


